Index: XIOS/trunk/bld.cfg
===================================================================
--- XIOS/trunk/bld.cfg	(revision 656)
+++ XIOS/trunk/bld.cfg	(revision 657)
@@ -31,5 +31,5 @@
 bld::target libxios.a
 #bld::target generate_fortran_interface.exe 
-bld::target xios_server.exe test_client.exe parse_xml.exe test_complete.exe test_xios_interface.exe test_new_features.exe
+bld::target xios_server.exe test_client.exe parse_xml.exe test_complete.exe test_xios_interface.exe test_new_features.exe test_unstruct_complete.exe
 bld::exe_dep
 
Index: XIOS/trunk/src/config/domain_attribute.conf
===================================================================
--- XIOS/trunk/src/config/domain_attribute.conf	(revision 656)
+++ XIOS/trunk/src/config/domain_attribute.conf	(revision 657)
@@ -13,17 +13,17 @@
 /* LOCAL */
 DECLARE_ATTRIBUTE(int             , ibegin)
-DECLARE_ATTRIBUTE(int             , iend)
 DECLARE_ATTRIBUTE(int             , ni)
 
 /* LOCAL */
 DECLARE_ATTRIBUTE(int             , jbegin)
-DECLARE_ATTRIBUTE(int             , jend)
 DECLARE_ATTRIBUTE(int             , nj)
 
 
-DECLARE_ARRAY(int,2             , i_index)
-DECLARE_ARRAY(int,2             , j_index)
+DECLARE_ARRAY(int,1             , i_index)
+DECLARE_ARRAY(int,1             , j_index)
 
 /* LOCAL */
+DECLARE_ARRAY(bool, 1 , mask_1D)
+DECLARE_ARRAY(bool, 2 , mask_2D)
 DECLARE_ARRAY(bool, 2 , mask)
 
@@ -36,16 +36,4 @@
 DECLARE_ATTRIBUTE(int             , data_ibegin)
 DECLARE_ATTRIBUTE(int             , data_jbegin)
-
-/* GLOBAL */
-DECLARE_ATTRIBUTE(int             , zoom_ni)
-DECLARE_ATTRIBUTE(int             , zoom_nj)
-DECLARE_ATTRIBUTE(int             , zoom_ibegin)
-DECLARE_ATTRIBUTE(int             , zoom_jbegin)
-
-/* LOCAL */
-DECLARE_ATTRIBUTE(int             , zoom_ni_loc)
-DECLARE_ATTRIBUTE(int             , zoom_nj_loc)
-DECLARE_ATTRIBUTE(int             , zoom_ibegin_loc)
-DECLARE_ATTRIBUTE(int             , zoom_jbegin_loc)
 
 /* LOCAL */
@@ -62,5 +50,5 @@
 DECLARE_ARRAY(double, 2, area)
 
-DECLARE_ENUM3(type,regular,curvilinear,unstructured)
+DECLARE_ENUM3(type,regular,curvilinear,unstructured) //rectilinear
 DECLARE_ATTRIBUTE(StdString, domain_ref)
 
Index: XIOS/trunk/src/config/interpolate_from_file_domain_attribute.conf
===================================================================
--- XIOS/trunk/src/config/interpolate_from_file_domain_attribute.conf	(revision 657)
+++ XIOS/trunk/src/config/interpolate_from_file_domain_attribute.conf	(revision 657)
@@ -0,0 +1,2 @@
+/* GLOBAL */
+DECLARE_ATTRIBUTE(StdString, file)
Index: XIOS/trunk/src/config/node_type.conf
===================================================================
--- XIOS/trunk/src/config/node_type.conf	(revision 656)
+++ XIOS/trunk/src/config/node_type.conf	(revision 657)
@@ -47,4 +47,8 @@
 #endif //__XIOS_CZoomDomain__
 
+#ifdef __XIOS_CInterpolateFromFileDomain__
+   DECLARE_NODE(InterpolateFromFileDomain, interpolate_from_file_domain)
+#endif //__XIOS_CInterpolateFromFileDomain__
+
 #ifdef __XIOS_CContext__
    DECLARE_NODE_PAR(Context, context)
Index: XIOS/trunk/src/distribution_client.cpp
===================================================================
--- XIOS/trunk/src/distribution_client.cpp	(revision 656)
+++ XIOS/trunk/src/distribution_client.cpp	(revision 657)
@@ -85,6 +85,6 @@
     int ni = domList[k]->ni;
     int nj = domList[k]->nj;
-    nIndexDomain_[k][0].resize(ni,nj);
-    nIndexDomain_[k][1].resize(ni,nj);
+    nIndexDomain_[k][0].resize(ni*nj);
+    nIndexDomain_[k][1].resize(ni*nj);
     nIndexDomain_[k][0] = domList[k]->i_index;
     nIndexDomain_[k][1] = domList[k]->j_index;
Index: XIOS/trunk/src/distribution_client.hpp
===================================================================
--- XIOS/trunk/src/distribution_client.hpp	(revision 656)
+++ XIOS/trunk/src/distribution_client.hpp	(revision 657)
@@ -89,5 +89,5 @@
     std::vector<int> nZoomBegin_; //!< Begin index of zoom of each dimension
     std::vector<int> nZoomEnd_; //!< End index of zoom of each dimension
-    std::vector<std::vector<CArray<int,2> > > nIndexDomain_; //!< Local index of each domain dimension (e.x: i_index, j_index)
+    std::vector<std::vector<CArray<int,1> > > nIndexDomain_; //!< Local index of each domain dimension (e.x: i_index, j_index)
     std::vector<CArray<int,1> > nIndexAxis_;
 
Index: XIOS/trunk/src/group_factory_decl.cpp
===================================================================
--- XIOS/trunk/src/group_factory_decl.cpp	(revision 656)
+++ XIOS/trunk/src/group_factory_decl.cpp	(revision 657)
@@ -29,3 +29,4 @@
   macro(CInterpolateAxisGroup)
   macro(CZoomDomainGroup)
+  macro(CInterpolateFromFileDomainGroup)
 }
Index: XIOS/trunk/src/group_template_decl.cpp
===================================================================
--- XIOS/trunk/src/group_template_decl.cpp	(revision 656)
+++ XIOS/trunk/src/group_template_decl.cpp	(revision 657)
@@ -18,4 +18,5 @@
   macro(InterpolateAxis)
   macro(ZoomDomain)
+  macro(InterpolateFromFileDomain)
 
 }
Index: XIOS/trunk/src/interface/c_attr/icdomain_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icdomain_attr.cpp	(revision 656)
+++ XIOS/trunk/src/interface/c_attr/icdomain_attr.cpp	(revision 657)
@@ -333,16 +333,16 @@
 
 
-  void cxios_set_domain_i_index(domain_Ptr domain_hdl, int* i_index, int extent1, int extent2)
-  {
-    CTimer::get("XIOS").resume();
-    CArray<int,2> tmp(i_index, shape(extent1, extent2), neverDeleteData);
+  void cxios_set_domain_i_index(domain_Ptr domain_hdl, int* i_index, int extent1)
+  {
+    CTimer::get("XIOS").resume();
+    CArray<int,1> tmp(i_index, shape(extent1), neverDeleteData);
     domain_hdl->i_index.reference(tmp.copy());
      CTimer::get("XIOS").suspend();
   }
 
-  void cxios_get_domain_i_index(domain_Ptr domain_hdl, int* i_index, int extent1, int extent2)
-  {
-    CTimer::get("XIOS").resume();
-    CArray<int,2> tmp(i_index, shape(extent1, extent2), neverDeleteData);
+  void cxios_get_domain_i_index(domain_Ptr domain_hdl, int* i_index, int extent1)
+  {
+    CTimer::get("XIOS").resume();
+    CArray<int,1> tmp(i_index, shape(extent1), neverDeleteData);
     tmp=domain_hdl->i_index.getInheritedValue();
      CTimer::get("XIOS").suspend();
@@ -381,39 +381,16 @@
 
 
-  void cxios_set_domain_iend(domain_Ptr domain_hdl, int iend)
-  {
-    CTimer::get("XIOS").resume();
-    domain_hdl->iend.setValue(iend);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_domain_iend(domain_Ptr domain_hdl, int* iend)
-  {
-    CTimer::get("XIOS").resume();
-    *iend = domain_hdl->iend.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_domain_iend(domain_Ptr domain_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = domain_hdl->iend.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
-  void cxios_set_domain_j_index(domain_Ptr domain_hdl, int* j_index, int extent1, int extent2)
-  {
-    CTimer::get("XIOS").resume();
-    CArray<int,2> tmp(j_index, shape(extent1, extent2), neverDeleteData);
+  void cxios_set_domain_j_index(domain_Ptr domain_hdl, int* j_index, int extent1)
+  {
+    CTimer::get("XIOS").resume();
+    CArray<int,1> tmp(j_index, shape(extent1), neverDeleteData);
     domain_hdl->j_index.reference(tmp.copy());
      CTimer::get("XIOS").suspend();
   }
 
-  void cxios_get_domain_j_index(domain_Ptr domain_hdl, int* j_index, int extent1, int extent2)
-  {
-    CTimer::get("XIOS").resume();
-    CArray<int,2> tmp(j_index, shape(extent1, extent2), neverDeleteData);
+  void cxios_get_domain_j_index(domain_Ptr domain_hdl, int* j_index, int extent1)
+  {
+    CTimer::get("XIOS").resume();
+    CArray<int,1> tmp(j_index, shape(extent1), neverDeleteData);
     tmp=domain_hdl->j_index.getInheritedValue();
      CTimer::get("XIOS").suspend();
@@ -447,27 +424,4 @@
      CTimer::get("XIOS").resume();
      bool isDefined = domain_hdl->jbegin.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
-  void cxios_set_domain_jend(domain_Ptr domain_hdl, int jend)
-  {
-    CTimer::get("XIOS").resume();
-    domain_hdl->jend.setValue(jend);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_domain_jend(domain_Ptr domain_hdl, int* jend)
-  {
-    CTimer::get("XIOS").resume();
-    *jend = domain_hdl->jend.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_domain_jend(domain_Ptr domain_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = domain_hdl->jend.hasInheritedValue();
      CTimer::get("XIOS").suspend();
      return isDefined;
@@ -767,187 +721,3 @@
      return isDefined;
   }
-
-
-  void cxios_set_domain_zoom_ibegin(domain_Ptr domain_hdl, int zoom_ibegin)
-  {
-    CTimer::get("XIOS").resume();
-    domain_hdl->zoom_ibegin.setValue(zoom_ibegin);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_domain_zoom_ibegin(domain_Ptr domain_hdl, int* zoom_ibegin)
-  {
-    CTimer::get("XIOS").resume();
-    *zoom_ibegin = domain_hdl->zoom_ibegin.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_domain_zoom_ibegin(domain_Ptr domain_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = domain_hdl->zoom_ibegin.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
-  void cxios_set_domain_zoom_ibegin_loc(domain_Ptr domain_hdl, int zoom_ibegin_loc)
-  {
-    CTimer::get("XIOS").resume();
-    domain_hdl->zoom_ibegin_loc.setValue(zoom_ibegin_loc);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_domain_zoom_ibegin_loc(domain_Ptr domain_hdl, int* zoom_ibegin_loc)
-  {
-    CTimer::get("XIOS").resume();
-    *zoom_ibegin_loc = domain_hdl->zoom_ibegin_loc.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_domain_zoom_ibegin_loc(domain_Ptr domain_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = domain_hdl->zoom_ibegin_loc.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
-  void cxios_set_domain_zoom_jbegin(domain_Ptr domain_hdl, int zoom_jbegin)
-  {
-    CTimer::get("XIOS").resume();
-    domain_hdl->zoom_jbegin.setValue(zoom_jbegin);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_domain_zoom_jbegin(domain_Ptr domain_hdl, int* zoom_jbegin)
-  {
-    CTimer::get("XIOS").resume();
-    *zoom_jbegin = domain_hdl->zoom_jbegin.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_domain_zoom_jbegin(domain_Ptr domain_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = domain_hdl->zoom_jbegin.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
-  void cxios_set_domain_zoom_jbegin_loc(domain_Ptr domain_hdl, int zoom_jbegin_loc)
-  {
-    CTimer::get("XIOS").resume();
-    domain_hdl->zoom_jbegin_loc.setValue(zoom_jbegin_loc);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_domain_zoom_jbegin_loc(domain_Ptr domain_hdl, int* zoom_jbegin_loc)
-  {
-    CTimer::get("XIOS").resume();
-    *zoom_jbegin_loc = domain_hdl->zoom_jbegin_loc.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_domain_zoom_jbegin_loc(domain_Ptr domain_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = domain_hdl->zoom_jbegin_loc.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
-  void cxios_set_domain_zoom_ni(domain_Ptr domain_hdl, int zoom_ni)
-  {
-    CTimer::get("XIOS").resume();
-    domain_hdl->zoom_ni.setValue(zoom_ni);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_domain_zoom_ni(domain_Ptr domain_hdl, int* zoom_ni)
-  {
-    CTimer::get("XIOS").resume();
-    *zoom_ni = domain_hdl->zoom_ni.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_domain_zoom_ni(domain_Ptr domain_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = domain_hdl->zoom_ni.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
-  void cxios_set_domain_zoom_ni_loc(domain_Ptr domain_hdl, int zoom_ni_loc)
-  {
-    CTimer::get("XIOS").resume();
-    domain_hdl->zoom_ni_loc.setValue(zoom_ni_loc);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_domain_zoom_ni_loc(domain_Ptr domain_hdl, int* zoom_ni_loc)
-  {
-    CTimer::get("XIOS").resume();
-    *zoom_ni_loc = domain_hdl->zoom_ni_loc.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_domain_zoom_ni_loc(domain_Ptr domain_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = domain_hdl->zoom_ni_loc.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
-  void cxios_set_domain_zoom_nj(domain_Ptr domain_hdl, int zoom_nj)
-  {
-    CTimer::get("XIOS").resume();
-    domain_hdl->zoom_nj.setValue(zoom_nj);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_domain_zoom_nj(domain_Ptr domain_hdl, int* zoom_nj)
-  {
-    CTimer::get("XIOS").resume();
-    *zoom_nj = domain_hdl->zoom_nj.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_domain_zoom_nj(domain_Ptr domain_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = domain_hdl->zoom_nj.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
-  void cxios_set_domain_zoom_nj_loc(domain_Ptr domain_hdl, int zoom_nj_loc)
-  {
-    CTimer::get("XIOS").resume();
-    domain_hdl->zoom_nj_loc.setValue(zoom_nj_loc);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_domain_zoom_nj_loc(domain_Ptr domain_hdl, int* zoom_nj_loc)
-  {
-    CTimer::get("XIOS").resume();
-    *zoom_nj_loc = domain_hdl->zoom_nj_loc.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_domain_zoom_nj_loc(domain_Ptr domain_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = domain_hdl->zoom_nj_loc.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
 }
Index: XIOS/trunk/src/interface/c_attr/icdomaingroup_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icdomaingroup_attr.cpp	(revision 656)
+++ XIOS/trunk/src/interface/c_attr/icdomaingroup_attr.cpp	(revision 657)
@@ -359,16 +359,16 @@
 
 
-  void cxios_set_domaingroup_i_index(domaingroup_Ptr domaingroup_hdl, int* i_index, int extent1, int extent2)
-  {
-    CTimer::get("XIOS").resume();
-    CArray<int,2> tmp(i_index, shape(extent1, extent2), neverDeleteData);
+  void cxios_set_domaingroup_i_index(domaingroup_Ptr domaingroup_hdl, int* i_index, int extent1)
+  {
+    CTimer::get("XIOS").resume();
+    CArray<int,1> tmp(i_index, shape(extent1), neverDeleteData);
     domaingroup_hdl->i_index.reference(tmp.copy());
      CTimer::get("XIOS").suspend();
   }
 
-  void cxios_get_domaingroup_i_index(domaingroup_Ptr domaingroup_hdl, int* i_index, int extent1, int extent2)
-  {
-    CTimer::get("XIOS").resume();
-    CArray<int,2> tmp(i_index, shape(extent1, extent2), neverDeleteData);
+  void cxios_get_domaingroup_i_index(domaingroup_Ptr domaingroup_hdl, int* i_index, int extent1)
+  {
+    CTimer::get("XIOS").resume();
+    CArray<int,1> tmp(i_index, shape(extent1), neverDeleteData);
     tmp=domaingroup_hdl->i_index.getInheritedValue();
      CTimer::get("XIOS").suspend();
@@ -407,39 +407,16 @@
 
 
-  void cxios_set_domaingroup_iend(domaingroup_Ptr domaingroup_hdl, int iend)
-  {
-    CTimer::get("XIOS").resume();
-    domaingroup_hdl->iend.setValue(iend);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_domaingroup_iend(domaingroup_Ptr domaingroup_hdl, int* iend)
-  {
-    CTimer::get("XIOS").resume();
-    *iend = domaingroup_hdl->iend.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_domaingroup_iend(domaingroup_Ptr domaingroup_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = domaingroup_hdl->iend.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
-  void cxios_set_domaingroup_j_index(domaingroup_Ptr domaingroup_hdl, int* j_index, int extent1, int extent2)
-  {
-    CTimer::get("XIOS").resume();
-    CArray<int,2> tmp(j_index, shape(extent1, extent2), neverDeleteData);
+  void cxios_set_domaingroup_j_index(domaingroup_Ptr domaingroup_hdl, int* j_index, int extent1)
+  {
+    CTimer::get("XIOS").resume();
+    CArray<int,1> tmp(j_index, shape(extent1), neverDeleteData);
     domaingroup_hdl->j_index.reference(tmp.copy());
      CTimer::get("XIOS").suspend();
   }
 
-  void cxios_get_domaingroup_j_index(domaingroup_Ptr domaingroup_hdl, int* j_index, int extent1, int extent2)
-  {
-    CTimer::get("XIOS").resume();
-    CArray<int,2> tmp(j_index, shape(extent1, extent2), neverDeleteData);
+  void cxios_get_domaingroup_j_index(domaingroup_Ptr domaingroup_hdl, int* j_index, int extent1)
+  {
+    CTimer::get("XIOS").resume();
+    CArray<int,1> tmp(j_index, shape(extent1), neverDeleteData);
     tmp=domaingroup_hdl->j_index.getInheritedValue();
      CTimer::get("XIOS").suspend();
@@ -473,27 +450,4 @@
      CTimer::get("XIOS").resume();
      bool isDefined = domaingroup_hdl->jbegin.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
-  void cxios_set_domaingroup_jend(domaingroup_Ptr domaingroup_hdl, int jend)
-  {
-    CTimer::get("XIOS").resume();
-    domaingroup_hdl->jend.setValue(jend);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_domaingroup_jend(domaingroup_Ptr domaingroup_hdl, int* jend)
-  {
-    CTimer::get("XIOS").resume();
-    *jend = domaingroup_hdl->jend.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_domaingroup_jend(domaingroup_Ptr domaingroup_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = domaingroup_hdl->jend.hasInheritedValue();
      CTimer::get("XIOS").suspend();
      return isDefined;
@@ -793,187 +747,3 @@
      return isDefined;
   }
-
-
-  void cxios_set_domaingroup_zoom_ibegin(domaingroup_Ptr domaingroup_hdl, int zoom_ibegin)
-  {
-    CTimer::get("XIOS").resume();
-    domaingroup_hdl->zoom_ibegin.setValue(zoom_ibegin);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_domaingroup_zoom_ibegin(domaingroup_Ptr domaingroup_hdl, int* zoom_ibegin)
-  {
-    CTimer::get("XIOS").resume();
-    *zoom_ibegin = domaingroup_hdl->zoom_ibegin.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_domaingroup_zoom_ibegin(domaingroup_Ptr domaingroup_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = domaingroup_hdl->zoom_ibegin.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
-  void cxios_set_domaingroup_zoom_ibegin_loc(domaingroup_Ptr domaingroup_hdl, int zoom_ibegin_loc)
-  {
-    CTimer::get("XIOS").resume();
-    domaingroup_hdl->zoom_ibegin_loc.setValue(zoom_ibegin_loc);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_domaingroup_zoom_ibegin_loc(domaingroup_Ptr domaingroup_hdl, int* zoom_ibegin_loc)
-  {
-    CTimer::get("XIOS").resume();
-    *zoom_ibegin_loc = domaingroup_hdl->zoom_ibegin_loc.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_domaingroup_zoom_ibegin_loc(domaingroup_Ptr domaingroup_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = domaingroup_hdl->zoom_ibegin_loc.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
-  void cxios_set_domaingroup_zoom_jbegin(domaingroup_Ptr domaingroup_hdl, int zoom_jbegin)
-  {
-    CTimer::get("XIOS").resume();
-    domaingroup_hdl->zoom_jbegin.setValue(zoom_jbegin);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_domaingroup_zoom_jbegin(domaingroup_Ptr domaingroup_hdl, int* zoom_jbegin)
-  {
-    CTimer::get("XIOS").resume();
-    *zoom_jbegin = domaingroup_hdl->zoom_jbegin.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_domaingroup_zoom_jbegin(domaingroup_Ptr domaingroup_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = domaingroup_hdl->zoom_jbegin.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
-  void cxios_set_domaingroup_zoom_jbegin_loc(domaingroup_Ptr domaingroup_hdl, int zoom_jbegin_loc)
-  {
-    CTimer::get("XIOS").resume();
-    domaingroup_hdl->zoom_jbegin_loc.setValue(zoom_jbegin_loc);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_domaingroup_zoom_jbegin_loc(domaingroup_Ptr domaingroup_hdl, int* zoom_jbegin_loc)
-  {
-    CTimer::get("XIOS").resume();
-    *zoom_jbegin_loc = domaingroup_hdl->zoom_jbegin_loc.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_domaingroup_zoom_jbegin_loc(domaingroup_Ptr domaingroup_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = domaingroup_hdl->zoom_jbegin_loc.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
-  void cxios_set_domaingroup_zoom_ni(domaingroup_Ptr domaingroup_hdl, int zoom_ni)
-  {
-    CTimer::get("XIOS").resume();
-    domaingroup_hdl->zoom_ni.setValue(zoom_ni);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_domaingroup_zoom_ni(domaingroup_Ptr domaingroup_hdl, int* zoom_ni)
-  {
-    CTimer::get("XIOS").resume();
-    *zoom_ni = domaingroup_hdl->zoom_ni.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_domaingroup_zoom_ni(domaingroup_Ptr domaingroup_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = domaingroup_hdl->zoom_ni.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
-  void cxios_set_domaingroup_zoom_ni_loc(domaingroup_Ptr domaingroup_hdl, int zoom_ni_loc)
-  {
-    CTimer::get("XIOS").resume();
-    domaingroup_hdl->zoom_ni_loc.setValue(zoom_ni_loc);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_domaingroup_zoom_ni_loc(domaingroup_Ptr domaingroup_hdl, int* zoom_ni_loc)
-  {
-    CTimer::get("XIOS").resume();
-    *zoom_ni_loc = domaingroup_hdl->zoom_ni_loc.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_domaingroup_zoom_ni_loc(domaingroup_Ptr domaingroup_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = domaingroup_hdl->zoom_ni_loc.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
-  void cxios_set_domaingroup_zoom_nj(domaingroup_Ptr domaingroup_hdl, int zoom_nj)
-  {
-    CTimer::get("XIOS").resume();
-    domaingroup_hdl->zoom_nj.setValue(zoom_nj);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_domaingroup_zoom_nj(domaingroup_Ptr domaingroup_hdl, int* zoom_nj)
-  {
-    CTimer::get("XIOS").resume();
-    *zoom_nj = domaingroup_hdl->zoom_nj.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_domaingroup_zoom_nj(domaingroup_Ptr domaingroup_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = domaingroup_hdl->zoom_nj.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
-
-
-  void cxios_set_domaingroup_zoom_nj_loc(domaingroup_Ptr domaingroup_hdl, int zoom_nj_loc)
-  {
-    CTimer::get("XIOS").resume();
-    domaingroup_hdl->zoom_nj_loc.setValue(zoom_nj_loc);
-    CTimer::get("XIOS").suspend();
-  }
-
-  void cxios_get_domaingroup_zoom_nj_loc(domaingroup_Ptr domaingroup_hdl, int* zoom_nj_loc)
-  {
-    CTimer::get("XIOS").resume();
-    *zoom_nj_loc = domaingroup_hdl->zoom_nj_loc.getInheritedValue();
-    CTimer::get("XIOS").suspend();
-  }
-
-  bool cxios_is_defined_domaingroup_zoom_nj_loc(domaingroup_Ptr domaingroup_hdl)
-  {
-     CTimer::get("XIOS").resume();
-     bool isDefined = domaingroup_hdl->zoom_nj_loc.hasInheritedValue();
-     CTimer::get("XIOS").suspend();
-     return isDefined;
-  }
 }
